function $AdfShowPrintablePageBehavior$$() {
  this.Init();
}
$goog$exportSymbol$$("AdfShowPrintablePageBehavior", $AdfShowPrintablePageBehavior$$);
$AdfObject$$.$createSubclass$($AdfShowPrintablePageBehavior$$, $AdfClientBehavior$$);
$AdfShowPrintablePageBehavior$$.prototype.$initialize$ = function $$AdfShowPrintablePageBehavior$$$$$initialize$$($component$$268$$) {
  $component$$268$$.addEventListener($AdfActionEvent$$.$ACTION_EVENT_TYPE$, this.$fire$, this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfShowPrintablePageBehavior.prototype.initialize", {$initialize$:$AdfShowPrintablePageBehavior$$.prototype.$initialize$});
$AdfShowPrintablePageBehavior$$.prototype.$fire$ = function $$AdfShowPrintablePageBehavior$$$$$fire$$($event$$103$$) {
  $event$$103$$.cancel();
  $AdfAgent$$.$AGENT$.$getPlatform$();
  var $eventComponent$$ = $event$$103$$.$getCurrentTarget$();
  "BUTTON" == $AdfRichUIPeer$$.$getDomElementForComponent$($eventComponent$$).tagName.toUpperCase() ? $AdfPage$$.$PAGE$.$scheduleTimer$(this, this.$_fireCustomEvent$, {event:$event$$103$$}, 10) : this.$_fireCustomEvent$({event:$event$$103$$});
};
$AdfObject$$.$exportPrototypeSymbol$("AdfShowPrintablePageBehavior.prototype.fire", {$fire$:$AdfShowPrintablePageBehavior$$.prototype.$fire$});
$AdfShowPrintablePageBehavior$$.prototype.$_fireCustomEvent$ = function $$AdfShowPrintablePageBehavior$$$$$_fireCustomEvent$$($argObj_custom$$) {
  $argObj_custom$$ = new $AdfCustomEvent$$($argObj_custom$$.event.getSource(), "_showPrintable", null, !0);
  $argObj_custom$$.$setPartial$(!1);
  $AdfPage$$.$PAGE$.$deliverEventToNewWindow$($argObj_custom$$);
};
$AdfShowPrintablePageBehavior$$.prototype.Init = function $$AdfShowPrintablePageBehavior$$$$Init$() {
  $AdfShowPrintablePageBehavior$$.$superclass$.Init.call(this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfShowPrintablePageBehavior.prototype.Init", {Init:$AdfShowPrintablePageBehavior$$.prototype.Init});
